{% extends "base.html" %} {% import 'bootstrap/wtf.html' as wtf %} {% block title %} 用户登录 {% endblock %}
<style>
    /* Make the image fully responsive */
    
    .carousel-inner img {
        width: 100%;
        height: 100%;
    }
</style>
{% block content %}

<body>
    <main>
        <div class="container">
            {% include "_flash.html" %}
            <div class="jumbotron pt-5 pb-3 mt-5">
                <div class="row">
                    <div class="col-md-8">
                        <!--<img src="{{ url_for('static', filename='img/index.png') }}" class="rounded img-fluid">-->
                        <div id="demo" class="carousel slide" data-ride="carousel">
                            <!-- 指示符 -->
                            <ul class="carousel-indicators">
                                <li data-target="#demo" data-slide-to="0" class="active"></li>
                                <li data-target="#demo" data-slide-to="1"></li>
                                <li data-target="#demo" data-slide-to="2"></li>
                            </ul>

                            <!-- 轮播图片 -->
                            <div class="carousel-inner">
                                <div class="carousel-item active">
                                    <img src="{{ url_for('static', filename='img/index.png') }}" class=" rounded img-fluid" />
                                </div>
                                <div class="carousel-item">
                                    <img src="https://static.runoob.com/images/mix/img_fjords_wide.jpg" class=" rounded img-fluid" />
                                </div>
                                <div class="carousel-item">
                                    <img src="https://static.runoob.com/images/mix/img_mountains_wide.jpg" class=" rounded img-fluid" />
                                </div>
                            </div>

                            <!-- 左右切换按钮 -->
                            <a class="carousel-control-prev" href="#demo" data-slide="prev">
                                <span class="carousel-control-prev-icon"></span>
                            </a>
                            <a class="carousel-control-next" href="#demo" data-slide="next">
                                <span class="carousel-control-next-icon"></span>
                            </a>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="card mb-3 w-100 bg-light align-self-center">
                            <div class="card-header">
                                <h4 class="text-muted"><strong>用户登录</strong></h4>
                            </div>
                            <div class="card-body">
                                <form class="bs-component" action="/auth/login" method="post">
                                    {{ form.csrf_token }} {{ wtf.form_field(form.usr_email) }} {{ wtf.form_field(form.password) }} {{ wtf.form_field(form.remember_me) }} {{ form.submit }}
                                    <hr />
                                    <small>没有账号?
                        <a
                          style="text-decoration: none"
                          href="{{ url_for('.register') }}"
                          >注册.</a
                        >
                      </small>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</body>
{% endblock %}